Bug 138090 - local variable used before set
local variable used before set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 11:14 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 16:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-11-04 11:14:00 EST
Description of problem:

I just tried to compile package setools-1.4.1-2 from 
Redhat Fedora Core 3 Test 3.

The compiler said

policy.c(1788): remark #592: variable "ptr" is used before its value
is set

The source code is

        memset(ptr, 0, sizeof(cln_item_t));

Suggest init ptr before first use.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2004-11-05 15:00:54 EST
THis problem no longer exists in setools-1.5.1
Available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.